pages/urls.py
from django.urls import re_path
from .views import HomeTemplateView, AboutUsTemplateView, SearchResultsView
from blog.views import PostListView, PostDetailView, ListCategoryPosts
from advises.views import CreateAdvisesView
from arbitrator.views import CreateArbiterView
from contact.views import CreateContactUsView
from cms.views import RoleListView, CriminalListView

app_name = 'page'

urlpatterns = [
    re_path(r'^$', HomeTemplateView.as_view(), name='index'),
    re_path(r'^about_us$', AboutUsTemplateView.as_view(), name='about_us'),
    re_path(r'^posts/$', PostListView.as_view(), name='posts'),
    re_path(r'^posts/page/(?P<page>[\d]+)/$', PostListView.as_view(), name='posts'),
    re_path(r'^search/$', SearchResultsView.as_view(), name='search'),
    re_path(r'^search/page/(?P<page>[\d]+)/$', SearchResultsView.as_view(), name='search'),
    re_path(r'^advises/$', CreateAdvisesView.as_view(), name='advises'),
    re_path(r'^arbiter/$', CreateArbiterView.as_view(), name='arbiter'),
    re_path(r'^laws/$', RoleListView.as_view(), name='laws'),
    re_path(r'^contact_us/$', CreateContactUsView.as_view(), name='contact_us'),
    re_path(r'^post/(?P<slug>[-\w]+)/$', PostDetailView.as_view(), name='detail'),
    # re_path(r'^criminal/(?P<slug>[-\w]+)/$', CriminalListView.as_view(), name='criminal'),
    re_path(r'^criminal/$', CriminalListView.as_view(), name='criminal'),
    re_path(r'^posts/category/(?P<slug>[-\w]+)/$', ListCategoryPosts.as_view(), name='category'),
    re_path(r'^posts/category/(?P<slug>[-\w]+)/page/(?P<page>[\d]+)/$', ListCategoryPosts.as_view(), name='category'),
]

media/templates/pages/category-posts.html
{% extends 'shared/_site.html' %}

{% block body %}
    {% load  static %}

    <section class="stop_growing">
        <div class="navigation">
            <ul class="list-unstyled">
                <li><a href="{% url 'page:index' %}">خانه</a></li>
                <li class="arrow">
                    <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 30 30">
                        <defs>
                            <clipPath id="clip-Artboard_2">
                                <rect width="30" height="30"/>
                            </clipPath>
                        </defs>
                        <g id="Artboard_2" data-name="Artboard – 2" clip-path="url(#clip-Artboard_2)">
                            <rect width="30" height="30" fill="transparent"/>
                            <path id="Path_126" data-name="Path 126"
                                  d="M.492,10.265,22.569.077a.854.854,0,0,1,1.016.238.844.844,0,0,1,.02,1.043l-7.26,9.679,7.26,9.679A.849.849,0,0,1,22.571,22L.494,11.807a.849.849,0,0,1,0-1.542Z"
                                  transform="translate(4 26.775) rotate(-90)" fill="#848282"/>
                        </g>
                    </svg>
                </li>
                <li><a href="{% url 'page:posts' %}">مقالات</a></li>
                <li class="arrow">
                    <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 30 30">
                        <defs>
                            <clipPath id="clip-Artboard_2">
                                <rect width="30" height="30"/>
                            </clipPath>
                        </defs>
                        <g id="Artboard_2" data-name="Artboard – 2" clip-path="url(#clip-Artboard_2)">
                            <rect width="30" height="30" fill="transparent"/>
                            <path id="Path_126" data-name="Path 126"
                                  d="M.492,10.265,22.569.077a.854.854,0,0,1,1.016.238.844.844,0,0,1,.02,1.043l-7.26,9.679,7.26,9.679A.849.849,0,0,1,22.571,22L.494,11.807a.849.849,0,0,1,0-1.542Z"
                                  transform="translate(4 26.775) rotate(-90)" fill="#848282"/>
                        </g>
                    </svg>
                </li>
                <li><a href="#">{{ category.title }}</a></li>
            </ul>
        </div>
        <div class="new_docs">
            <div class="container">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 ltr">
                        <div class="row">
                            <div class="col-12">
                                <form action="{% url 'page:search' %}" method="get"
                                      class="input-group doc_searchbar mb-3 mt-0">
                                    <div class="input-group-prepend">
                                        <button class="btn btn-outline-secondary opacity_hover mt-0 mb-0" type="submit">
                                            پیدا کنید
                                        </button>
                                    </div>
                                    <input name="param" type="text" class="form-control" placeholder="جستجو کنید"
                                           aria-label="" value="{{ request.GET.param }}"
                                           aria-describedby="basic-addon1">
                                </form>
                            </div>

                            {% for post in category_posts %}

                                <div class="col-xl-6 col-lg-6 col-md-6">
                                    <div class="new_doc_item">
                                        {% if post.is_special %}
                                            <div class="special">
                                                <p>ویژه</p>
                                                <div class="triangle"></div>
                                            </div>
                                        {% endif %}
                                        <a href="{% url 'page:detail' post.slug %}"><img src="{{ post.picture.url }}"
                                                                                         alt="{{ post.alternate_text }}"></a>
                                        <div class="text">
                                            <a href="{% url 'page:detail' post.slug %}">{{ post.title }}</a>
                                            <p>{{ post.Summary|truncatewords:12 }}</p>
                                        </div>
                                    </div>
                                    <a class="get_advise goldbtn" href="{% url 'page:detail' post.slug %}">ادامه متن</a>
                                </div>

                            {% endfor %}

                        </div>
                        {% if category_posts.has_other_pages %}
                            <div class="col-12">
                                <div class="pages mb-1">
                                    <ul class="pagination mb-1 mt-1">
                                        {% if category_posts.has_previous %}

                                            <li class="page-item prev">
                                                <a class="page-link"
                                                   href="{% url 'page:category' category.slug category_posts.previous_page_number %}">قبل</a>
                                            </li>
                                        {% else %}
                                            <li class="page-item prev disabled">
                                                <a class="page-link" href="#">قبل</a>
                                            </li>
                                        {% endif %}

                                        {% for i in category_posts.paginator.page_range %}

                                            {% if category_posts.number == i %}

                                                <li class="page-item">
                                                    <a class="page-link active"
                                                       href="{% url 'page:category' category.slug i %}">{{ i }}</a>
                                                </li>

                                            {% else %}

                                                <li class="page-item">
                                                    <a class="page-link"
                                                       href="{% url 'page:category' category.slug i %}">{{ i }}</a>
                                                </li>

                                            {% endif %}

                                        {% endfor %}

                                        {% if category_posts.has_next %}
                                            <li class="page-item next">
                                                <a class="page-link"
                                                   href="{% url 'page:category' category.slug category_posts.next_page_number %}">بعد</a>
                                            </li>
                                        {% else %}
                                            <li class="page-item next disabled">
                                                <a class="page-link" href="#">بعد</a>
                                            </li>
                                        {% endif %}
                                    </ul>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                    <div class="col-xl-4 col-lg-4 d-none d-lg-block d-xl-block">
                        <div class="row">
                            <div class="col-12">
                                <div class="new_doc_vertical top title">
                                    <h4>مقالات ویژه</h4>
                                </div>
                            </div>
                            {% for special_post in special_posts %}
                                <div class="col-12">
                                    <div class="new_doc_vertical {% if forloop.last %}bottom{% endif %}">
                                        <div class="image">
                                            {% if special_post.is_special %}
                                                <div class="special">
                                                    <p>ویژه</p>
                                                    <div class="triangle"></div>
                                                </div>
                                            {% endif %}
                                            <img src="{{ special_post.picture.url }}"
                                                 alt="{{ special_post.alternate_text }}"/>
                                        </div>
                                        <div class="text">
                                            <a
                                                    href="{% url 'page:detail' special_post.slug %}">{{ special_post.title|truncatewords:3 }}</a>
                                            <a class="get_advise goldbtn"
                                               href="{% url 'page:detail' special_post.slug %}">ادامه
                                                متن</a></div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <a class="get_advise_asap" href="{% url 'page:advises' %}">
        <div class="text">
            <h4>
                <img src="{% static 'assets/img/svg/Group 14.svg' %}" alt=""/>برای دریافت زمان
                مشاوره کلیک کنید
            </h4>
        </div>
    </a>

{% endblock %}

media/templates/pages/docs.html
{% extends 'shared/_site.html' %}

{% block body %}
    {% load  static %}

    <section class="stop_growing">
        <div class="navigation">
            <ul class="list-unstyled">
                <li><a href="{% url 'page:index' %}">خانه</a></li>
                <li class="arrow">
                    <svg
                            xmlns="http://www.w3.org/2000/svg"
                            width="30"
                            height="30"
                            viewBox="0 0 30 30"
                    >
                        <defs>
                            <clipPath id="clip-Artboard_2">
                                <rect width="30" height="30"/>
                            </clipPath>
                        </defs>
                        <g
                                id="Artboard_2"
                                data-name="Artboard – 2"
                                clip-path="url(#clip-Artboard_2)"
                        >
                            <rect width="30" height="30" fill="transparent"/>
                            <path
                                    id="Path_126"
                                    data-name="Path 126"
                                    d="M.492,10.265,22.569.077a.854.854,0,0,1,1.016.238.844.844,0,0,1,.02,1.043l-7.26,9.679,7.26,9.679A.849.849,0,0,1,22.571,22L.494,11.807a.849.849,0,0,1,0-1.542Z"
                                    transform="translate(4 26.775) rotate(-90)"
                                    fill="#848282"
                            />
                        </g>
                    </svg>
                </li>
                <li><a href="{% url 'page:posts' %}">مقالات</a></li>
            </ul>
        </div>
        <div class="new_docs">
            <div class="container">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 ltr">
                        <div class="row">
                            <div class="col-12">
                                <form action="{% url 'page:search' %}" method="get"
                                      class="input-group doc_searchbar mb-3 mt-0">
                                    <div class="input-group-prepend">
                                        <button class="btn btn-outline-secondary opacity_hover mt-0 mb-0" type="submit">
                                            پیدا کنید
                                        </button>
                                    </div>
                                    <input name="param" type="text" class="form-control" placeholder="جستجو کنید"
                                           aria-label="" value="{{ request.GET.param }}"
                                           aria-describedby="basic-addon1">
                                </form>
                            </div>

                            {% for post in posts_list %}

                                <div class="col-xl-6 col-lg-6 col-md-6">
                                    <div class="new_doc_item">
                                        {% if post.is_special %}
                                            <div class="special">
                                                <p>ویژه</p>
                                                <div class="triangle"></div>
                                            </div>
                                        {% endif %}
                                        <a href="{% url 'page:detail' post.slug %}"><img src="{{ post.picture.url }}"
                                                                                         alt="{{ post.alternate_text }}"></a>
                                        <div class="text">
                                            <a href="{% url 'page:detail' post.slug %}">{{ post.title }}</a>
                                            <p>{{ post.Summary|truncatewords:12 }}</p>
                                        </div>
                                    </div>
                                    <a class="get_advise goldbtn" href="{% url 'page:detail' post.slug %}">ادامه متن</a>
                                </div>

                            {% endfor %}

                        </div>

                        {% if is_paginated %}
                            <div class="col-12">
                                <div class="pages mb-1">
                                    <ul class="pagination mb-1 mt-1">
                                        {% if page_obj.has_previous %}

                                            <li class="page-item prev">
                                                <a class="page-link"
                                                   href="{% url 'page:posts' page_obj.previous_page_number %}">قبل</a>
                                            </li>
                                        {% else %}
                                            <li class="page-item prev disabled">
                                                <a class="page-link"
                                                   href="#">قبل</a>
                                            </li>
                                        {% endif %}

                                        {% for i in page_obj.paginator.page_range %}

                                            {% if page_obj.number == i %}

                                                <li class="page-item">
                                                    <a class="page-link active"
                                                       href="{% url 'page:posts' i %}">{{ i }}</a>
                                                </li>

                                            {% else %}

                                                <li class="page-item">
                                                    <a class="page-link" href="{% url 'page:posts' i %}">{{ i }}</a>
                                                </li>

                                            {% endif %}

                                        {% endfor %}

                                        {% if page_obj.has_next %}
                                            <li class="page-item next">
                                                <a class="page-link"
                                                   href="{% url 'page:posts' page_obj.next_page_number %}">بعد</a>
                                            </li>
                                        {% else %}
                                            <li class="page-item next disabled">
                                                <a class="page-link"
                                                   href="#">بعد</a>
                                            </li>
                                        {% endif %}
                                    </ul>
                                </div>
                            </div>
                        {% endif %}

                    </div>

                    <div class="col-xl-4 col-lg-4 d-none d-lg-block d-xl-block">
                        <div class="row">
                            <div class="col-12">
                                <div class="new_doc_vertical top title bottom">
                                    <h4>مقالات ویژه</h4>
                                </div>
                            </div>
                            {% for special_post in special_posts %}
                                <div class="col-12">
                                    <div class="new_doc_vertical {% if forloop.last %}bottom{% endif %}">
                                        <div class="image">
                                            {% if special_post.is_special %}
                                                <div class="special">
                                                    <p>ویژه</p>
                                                    <div class="triangle"></div>
                                                </div>
                                            {% endif %}
                                            <img src="{{ special_post.picture.url }}"
                                                 alt="{{ special_post.alternate_text }}"/>
                                        </div>
                                        <div class="text">
                                            <a href="{% url 'page:detail' special_post.slug %}">{{ special_post.title|truncatewords:3 }}</a>
                                            <a class="get_advise goldbtn"
                                               href="{% url 'page:detail' special_post.slug %}">ادامه متن</a></div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <a class="get_advise_asap" href="{% url 'page:advises' %}">
        <div class="text">
            <h4>
                <img src="{% static 'assets/img/svg/Group 14.svg' %}" alt=""/>برای دریافت زمان
                مشاوره کلیک کنید
            </h4>
        </div>
    </a>

{% endblock %}

media/templates/pages/search.html
{% extends 'shared/_site.html' %}

{% block body %}
    {% load  static %}

    <section class="stop_growing">
        <div class="navigation">
            <ul class="list-unstyled">
                <li><a href="{% url 'page:index' %}">خانه</a></li>
                <li class="arrow">
                    <svg
                            xmlns="http://www.w3.org/2000/svg"
                            width="30"
                            height="30"
                            viewBox="0 0 30 30"
                    >
                        <defs>
                            <clipPath id="clip-Artboard_2">
                                <rect width="30" height="30"/>
                            </clipPath>
                        </defs>
                        <g
                                id="Artboard_2"
                                data-name="Artboard – 2"
                                clip-path="url(#clip-Artboard_2)"
                        >
                            <rect width="30" height="30" fill="transparent"/>
                            <path
                                    id="Path_126"
                                    data-name="Path 126"
                                    d="M.492,10.265,22.569.077a.854.854,0,0,1,1.016.238.844.844,0,0,1,.02,1.043l-7.26,9.679,7.26,9.679A.849.849,0,0,1,22.571,22L.494,11.807a.849.849,0,0,1,0-1.542Z"
                                    transform="translate(4 26.775) rotate(-90)"
                                    fill="#848282"
                            />
                        </g>
                    </svg>
                </li>
                <li><a href="{% url 'page:search' %}">مقالات</a></li>
            </ul>
        </div>
        <div class="new_docs">
            <div class="container">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 ltr">
                        <div class="row">
                            <div class="col-12">
                                <form action="{% url 'page:search' %}" method="get"
                                      class="input-group doc_searchbar mb-3 mt-0">
                                    <div class="input-group-prepend">
                                        <button class="btn btn-outline-secondary opacity_hover mt-0 mb-0" type="submit">
                                            پیدا کنید
                                        </button>
                                    </div>
                                    <input name="param" type="text" class="form-control" placeholder="جستجو کنید"
                                           aria-label="" value="{{ request.GET.param }}"
                                           aria-describedby="basic-addon1">
                                </form>
                            </div>

                            {% for post in search_list %}

                                <div class="col-xl-6 col-lg-6 col-md-6">
                                    <div class="new_doc_item">
                                        {% if post.is_special %}
                                            <div class="special">
                                                <p>ویژه</p>
                                                <div class="triangle"></div>
                                            </div>
                                        {% endif %}
                                        <a href="{% url 'page:detail' post.slug %}"><img src="{{ post.picture.url }}"
                                                                                         alt="{{ post.alternate_text }}"></a>
                                        <div class="text">
                                            <a href="{% url 'page:detail' post.slug %}">{{ post.title }}</a>
                                            <p>{{ post.Summary|truncatewords:12 }}</p>
                                        </div>
                                    </div>
                                    <a class="get_advise goldbtn" href="{% url 'page:detail' post.slug %}">ادامه متن</a>
                                </div>

                            {% endfor %}

                        </div>

                        {% if is_paginated %}
                            <div class="col-12">
                                <div class="pages mb-1">
                                    <ul class="pagination mb-1 mt-1">
                                        {% if page_obj.has_previous %}

                                            <li class="page-item prev">
                                                <a class="page-link"
                                                   href="{% url 'page:search' page_obj.previous_page_number request.GET.param%}">قبل</a>
                                            </li>
                                        {% else %}
                                            <li class="page-item prev disabled">
                                                <a class="page-link"
                                                   href="#">قبل</a>
                                            </li>
                                        {% endif %}

                                        {% for i in page_obj.paginator.page_range %}

                                            {% if page_obj.number == i %}

                                                <li class="page-item">
                                                    <a class="page-link active"
                                                       href="{% url 'page:search' i request.GET.param %}">{{ i }}</a>
                                                </li>

                                            {% else %}

                                                <li class="page-item">
                                                    <a class="page-link" href="{% url 'page:search' i request.GET.param %}">{{ i }}</a>
                                                </li>

                                            {% endif %}

                                        {% endfor %}

                                        {% if page_obj.has_next %}
                                            <li class="page-item next">
                                                <a class="page-link"
                                                   href="{% url 'page:search' page_obj.next_page_number request.GET.param %}">بعد</a>
                                            </li>
                                        {% else %}
                                            <li class="page-item next disabled">
                                                <a class="page-link"
                                                   href="#">بعد</a>
                                            </li>
                                        {% endif %}
                                    </ul>
                                </div>
                            </div>
                        {% endif %}

                    </div>

                    <div class="col-xl-4 col-lg-4 d-none d-lg-block d-xl-block">
                        <div class="row">
                            <div class="col-12">
                                <div class="new_doc_vertical top title">
                                    <h4>مقالات ویژه</h4>
                                </div>
                            </div>
                            {% for special_post in special_posts %}
                                <div class="col-12">
                                    <div class="new_doc_vertical {% if forloop.last %}bottom{% endif %}">
                                        <div class="image">
                                            {% if special_post.is_special %}
                                                <div class="special">
                                                    <p>ویژه</p>
                                                    <div class="triangle"></div>
                                                </div>
                                            {% endif %}
                                            <img src="{{ special_post.picture.url }}"
                                                 alt="{{ special_post.alternate_text }}"/>
                                        </div>
                                        <div class="text">
                                            <a href="{% url 'page:detail' special_post.slug %}">{{ special_post.title|truncatewords:3 }}</a>
                                            <a class="get_advise goldbtn"
                                               href="{% url 'page:detail' special_post.slug %}">ادامه متن</a></div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <a class="get_advise_asap" href="{% url 'page:advises' %}">
        <div class="text">
            <h4>
                <img src="{% static 'assets/img/svg/Group 14.svg' %}" alt=""/>برای دریافت زمان
                مشاوره کلیک کنید
            </h4>
        </div>
    </a>

{% endblock %}